set xact_abort on;
go

begin transaction;
go

alter table ElencoPostazioni add
  note nvarchar(250);
go

set ANSI_NULLS on;
go

/***************************************
* STORED stp_EP_update
*
* update di una postazione + stampante

* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
alter PROCEDURE stp_EP_update
(
	@Original_codPostazione	NVARCHAR(250),
	@codPostazione			NVARCHAR(250),
	@stampante				NVARCHAR(250),
	@note					NVARCHAR(250)
)
AS

UPDATE	ElencoPostazioni
SET		codPostazione	= @codPostazione,
		stampante		= @stampante,
		note			= @note
WHERE	codPostazione	= @Original_codPostazione

RETURN
go

/***************************************
* STORED stp_EP_delete
*
* elimina una postazione + stampante

* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
alter PROCEDURE stp_EP_delete
(
	@Original_codPostazione	NVARCHAR(250)
)
AS

DELETE
FROM	ElencoPostazioni
WHERE	codPostazione = @Original_codPostazione

RETURN
go

commit;
go








INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(511, GETDATE())
GO

SELECT TOP 10 * FROM LogUpdateDb ORDER BY Versione DESC
